=== debian/changelog ===
ros-kinetic-exotica-levenberg-marquardt-solver (6.1.1-1xenial) xenial; urgency=high



 -- Christian Rauch <Christian.Rauch@ed.ac.uk>  Sun, 04 Apr 2021 23:00:00 -0000

ros-kinetic-exotica-levenberg-marquardt-solver (6.1.0-1xenial) xenial; urgency=high

  * [exotica_levenberg_marquardt_solver] Use better default for Convergence
  * Contributors: Wolfgang Merkt

 -- Christian Rauch <Christian.Rauch@ed.ac.uk>  Mon, 15 Mar 2021 00:00:00 -0000

ros-kinetic-exotica-levenberg-marquardt-solver (6.0.2-1xenial) xenial; urgency=high



 -- Christian Rauch <Christian.Rauch@ed.ac.uk>  Mon, 23 Nov 2020 00:00:00 -0000

ros-kinetic-exotica-levenberg-marquardt-solver (6.0.1-1xenial) xenial; urgency=high



 -- Christian Rauch <Christian.Rauch@ed.ac.uk>  Tue, 17 Nov 2020 00:00:00 -0000

ros-kinetic-exotica-levenberg-marquardt-solver (6.0.0-1xenial) xenial; urgency=high

  * CMakeLists: Upgrade minimum version to 3.0.2 to avoid CMP0048
  * Use pre-allocation & Cholesky decomposition: 16% speed-up
  * Contributors: Wolfgang Merkt

 -- Christian Rauch <Christian.Rauch@ed.ac.uk>  Sun, 08 Nov 2020 00:00:00 -0000

ros-kinetic-exotica-levenberg-marquardt-solver (5.1.3-1xenial) xenial; urgency=high



 -- Christian Rauch <Christian.Rauch@ed.ac.uk>  Thu, 13 Feb 2020 00:00:00 -0000

ros-kinetic-exotica-levenberg-marquardt-solver (5.1.2-1xenial) xenial; urgency=high



 -- Christian Rauch <Christian.Rauch@ed.ac.uk>  Mon, 10 Feb 2020 00:00:00 -0000

ros-kinetic-exotica-levenberg-marquardt-solver (5.1.1-1xenial) xenial; urgency=high



 -- Christian Rauch <Christian.Rauch@ed.ac.uk>  Mon, 10 Feb 2020 00:00:00 -0000

ros-kinetic-exotica-levenberg-marquardt-solver (5.1.0-1xenial) xenial; urgency=high

  * Various minor code improvements
  * Contributors: Christian Rauch, Wolfgang Merkt

 -- Christian Rauch <Christian.Rauch@ed.ac.uk>  Fri, 31 Jan 2020 00:00:00 -0000
